libosmodsp UNKNOWN Osmocom DSP library

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
osmo_cxvec Struct Reference
Complex vectors

Complex vector. More...

`#include <cxvec.h>`

## Data Fields
int | len
| Valid length.
int | max_len
| Maximum length in data field.
int | flags
| Flags, see CXVEC_FLG_xxx.
float complex * | data
| Data field.
float complex | _data [0]
| Optional inline data array.

## Detailed Description

Complex vector.

The documentation for this struct was generated from the following file:

- include/osmocom/dsp/cxvec.h